# Uses of Interface
org.eclipse.mat.report.IOutputter.Context

Packages that use IOutputter.Context
Package
Description
org.eclipse.mat.impl.chart
Builds pie charts using BIRT, not an Application Programming Interface (API).
org.eclipse.mat.report
Controls building of reports from XML report definitions.
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).

## Uses of IOutputter.Context in org.eclipse.mat.impl.chart

Methods in org.eclipse.mat.impl.chart with parameters of type IOutputter.Context
Modifier and Type
Method
Description
`void`
HtmlPieChartRenderer.`embedd(IOutputter.Context context, IResult result, Writer writer)`
`void`
HtmlPieChartRenderer.`process(IOutputter.Context context, IResult result, Writer writer)`

## Uses of IOutputter.Context in org.eclipse.mat.report

Methods in org.eclipse.mat.report with parameters of type IOutputter.Context
Modifier and Type
Method
Description
`void`
IOutputter.`embedd(IOutputter.Context context, IResult result, Writer writer)`
Add this result to the output.
`void`
IOutputter.`process(IOutputter.Context context, IResult result, Writer writer)`
Write this result to the output, presuming the writer has just been opened.

## Uses of IOutputter.Context in org.eclipse.mat.report.internal

Methods in org.eclipse.mat.report.internal with parameters of type IOutputter.Context
Modifier and Type
Method
Description
`void`
CSVOutputter.`embedd(IOutputter.Context context, IResult result, Writer writer)`
`void`
HtmlOutputter.`embedd(IOutputter.Context context, IResult result, Writer writer)`
`void`
TextOutputter.`embedd(IOutputter.Context context, IResult result, Writer writer)`
`void`
CSVOutputter.`process(IOutputter.Context context, IResult result, Writer writer)`
`void`
HtmlOutputter.`process(IOutputter.Context context, IResult result, Writer writer)`
`void`
TextOutputter.`process(IOutputter.Context context, IResult result, Writer writer)`